List jobs
curl --request GET \
--url https://api.blon.ai/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blon.ai/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blon.ai/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blon.ai/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blon.ai/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.blon.ai/v1/jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blon.ai/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"object": "job",
"model": "<string>",
"status": "queued",
"provider_status": "<string>",
"queue_position": 123,
"cancelable": true,
"next_poll_after_seconds": 123,
"urls": {
"get": "<string>",
"cancel": "<string>"
},
"input": {},
"metadata": {},
"cost": {
"currency": "CREDITS",
"estimated": "<string>",
"charged": "<string>",
"refunded": "<string>"
},
"usage": [
{
"meter": "output_seconds",
"units": 123
}
],
"artifacts": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"url": "<string>",
"url_expires_at": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"width": 123,
"height": 123,
"duration_ms": 123
}
],
"expires_at": "<string>",
"error": {
"code": "content_policy",
"message": "<string>",
"retryable": true
},
"webhook": {
"url": "<string>",
"status": "pending",
"attempts": 123
},
"idempotency_hit": true,
"request_id": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"updated_at": "<string>"
}
],
"next_cursor": "<string>",
"has_more": true
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}API Reference
List jobs
GET
/
jobs
List jobs
curl --request GET \
--url https://api.blon.ai/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blon.ai/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blon.ai/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blon.ai/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blon.ai/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.blon.ai/v1/jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blon.ai/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"object": "job",
"model": "<string>",
"status": "queued",
"provider_status": "<string>",
"queue_position": 123,
"cancelable": true,
"next_poll_after_seconds": 123,
"urls": {
"get": "<string>",
"cancel": "<string>"
},
"input": {},
"metadata": {},
"cost": {
"currency": "CREDITS",
"estimated": "<string>",
"charged": "<string>",
"refunded": "<string>"
},
"usage": [
{
"meter": "output_seconds",
"units": 123
}
],
"artifacts": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"url": "<string>",
"url_expires_at": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"width": 123,
"height": 123,
"duration_ms": 123
}
],
"expires_at": "<string>",
"error": {
"code": "content_policy",
"message": "<string>",
"retryable": true
},
"webhook": {
"url": "<string>",
"status": "pending",
"attempts": 123
},
"idempotency_hit": true,
"request_id": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"updated_at": "<string>"
}
],
"next_cursor": "<string>",
"has_more": true
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_seconds": 123,
"details": "<unknown>"
}
}授權
bearerapiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查詢參數
必填範圍:
1 <= x <= 100可用選項:
queued, processing, completed, failed, canceled Minimum string length:
1Minimum string length:
1Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Minimum string length:
1